petsc (3.25.2+dfsg1-1ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 28 Jun 2026 09:01:33 +0200

petsc (3.25.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Thu, 18 Jun 2026 14:55:14 +0200

petsc (3.25.1+dfsg1-2ubuntu1) stonking; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 18 Jun 2026 10:50:11 +0200

petsc (3.25.1+dfsg1-2) unstable; urgency=medium

  * Add back arch restrictions for libhypre64-dev, which were removed by mistake
    in the previous upload to experimental.

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 09 Jun 2026 18:10:02 +0000

petsc (3.25.1+dfsg1-1) unstable; urgency=medium

  * Upload to unstable, see transition request in Bug #1135890.

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 09 Jun 2026 07:59:19 +0000

petsc (3.25.1+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * Reorder sequence of d/control fields by cme (routine-update)
  * Drop useless get-orig-source target (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
    Leave the call in d/rules as
      dh $@ --with python3,fortran_mod
    for clarity
  * Rely on pre-initialized dpkg-architecture variables.
  * Trim trailing whitespace.
  * Reorder Files paragraphs in debian/copyright by directory depth.
  * Add missing build-dependency on python3-setuptools.
  * Update lintian override info format in
    d/libpetsc3.25-dev-common.lintian-overrides on line 2-3.
  * Remove 8 redundant dependencies from weaker fields.
  * debputy lint --auto-fix (routine-update)

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 02 May 2026 05:55:41 +0000

petsc (3.25.0+dfsg1-1~exp3) experimental; urgency=medium

  * Update d/copyright.

 -- Francesco Ballarin <ballarin@debian.org>  Wed, 29 Apr 2026 07:48:21 +0000

petsc (3.25.0+dfsg1-1~exp2) experimental; urgency=medium

  * Drop link to 2026 meeting to avoid privacy breach warnings
  * Extend script-not-executable lintian override for libpetsc3.25-dev-examples
    to include new shell script related to tests.
    - Drop former matches to
      usr/share/petsc/*/share/petsc/examples/src/*/tests/scripts/*
      since there seem to be no matches in this version, possibly
      due to upstream having reorganized the scripts.
  * Add image-file-has-unexpected-name override to libpetsc3.25-dev-examples,
    to avoid false positives for .c files that lintian incorrectly thinks are
    image files.
  * Use explicitly set -e in prerm and postinst scripts to avoid lintian
    pedantic message maintainer-script-without-set-e.
  * Update lintian tags
    ldconfig-symlink-missing-for-shlib > lacks-versioned-link-to-shared-library
    breakout-link > ldconfig-escape
    in overrides.
  * Add lintian overrides for false positive on repeated-path-segment, which
    happens because of how the directories are organized upstream.
  * Override dh_strip by passing --no-automatic-dbgsym. There is no point in
    generating the dbsym packages, since they are basically empty currently.
    The actual debug packages have dbg suffix.
  * Silence package-has-unnecessary-activation-of-ldconfig-trigger because
    the -dbg packages contain a separate installation of PETSc, which has been
    rebuilt with debug symbols enabled
  * Update d/copyright with several new files.
  * Strip trailing whitespaces from d/changelog and d/rules
  * Drop redundant Priority field from d/control
  * Add debian/upstream/metadata
  * Also clean core.* files that may get produced when running tests

 -- Francesco Ballarin <ballarin@debian.org>  Tue, 28 Apr 2026 15:22:35 +0000

petsc (3.25.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release: new ABI 3.25
  * Standards-Version: 4.7.4
  * Refresh patches
  * Pass PETSC_DIR and PETSC_ARCH as environment variables to dh_auto_install
    to prevent errors like
       dh_auto_install -plibpetsc-...-dev --destdir=debian/tmp/petsc.. --  \
          PETSC_DIR=/build/petsc PETSC_ARCH=....
       Usage: dh_auto_install [OPTIONS]
       Try 'dh_auto_install --help' for help.

       Error: Got unexpected extra arguments (PETSC_DIR=/build/petsc
       PETSC_ARCH=...)

 -- Francesco Ballarin <ballarin@debian.org>  Mon, 27 Apr 2026 06:27:54 +0000

petsc (3.24.5+dfsg1-2ubuntu1) stonking; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 May 2026 16:59:31 +0200

petsc (3.24.5+dfsg1-2) unstable; urgency=medium

  * Pass PETSC_DIR and PETSC_ARCH as environment variables to dh_auto_install
    to prevent errors like
       dh_auto_install -plibpetsc-...-dev --destdir=debian/tmp/petsc.. --  \
          PETSC_DIR=/build/petsc PETSC_ARCH=....
       Usage: dh_auto_install [OPTIONS]
       Try 'dh_auto_install --help' for help.

       Error: Got unexpected extra arguments (PETSC_DIR=/build/petsc
       PETSC_ARCH=...)
    Backported from 3.25.0+dfsg1-1~exp1. Closes: #1135443.

 -- Francesco Ballarin <ballarin@debian.org>  Sat, 02 May 2026 04:55:51 +0000

petsc (3.24.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * fresh build updates 32-bit arches for mpich v5. Closes: #1102465.

 -- Drew Parsons <dparsons@debian.org>  Thu, 19 Mar 2026 11:50:34 +0100

petsc (3.24.4+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Feb 2026 17:54:16 +0100

petsc (3.24.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update F. Ballarin's email address

 -- Francesco Ballarin <ballarin@debian.org>  Fri, 20 Feb 2026 07:47:47 +0000

petsc (3.24.3+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 26 Jan 2026 07:54:57 +0100

petsc (3.24.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Build-Depends: dh-fortran not dh-fortran-mod
  * Standards-Version: 4.7.3

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Jan 2026 14:31:07 +0100

petsc (3.24.2+dfsg1-1ubuntu1) resolute; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 05 Jan 2026 18:31:26 +0100

petsc (3.24.2+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - applies debian patch fix_complex_overloading_MR8820.diff

 -- Drew Parsons <dparsons@debian.org>  Sun, 21 Dec 2025 22:37:46 +0100

petsc (3.24.1+dfsg1-4ubuntu2) resolute; urgency=medium

  * Rebuild against new libmumps-5.8.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 09 Dec 2025 14:36:37 +0100

petsc (3.24.1+dfsg1-4ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 06 Dec 2025 15:33:11 +0100

petsc (3.24.1+dfsg1-4) unstable; urgency=medium

  * debian patch fix_complex_overloading_MR8820.diff applies upstream
    MR#8820 to fix complex type overloading introduced by MR#8736.
    See deal.ii bug#1121248.

 -- Drew Parsons <dparsons@debian.org>  Mon, 24 Nov 2025 13:25:53 +0100

petsc (3.24.1+dfsg1-3) unstable; urgency=medium

  * accept that MUMPS is no longer available on all arches
    (it fails to run on hppa and powerpc)
  * update debian/watch to v5 format

 -- Drew Parsons <dparsons@debian.org>  Sun, 23 Nov 2025 11:48:42 +0100

petsc (3.24.1+dfsg1-2) unstable; urgency=medium

  * upload to unstable for transition #1121012

 -- Drew Parsons <dparsons@debian.org>  Fri, 21 Nov 2025 17:57:25 +0100

petsc (3.24.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release: new ABI 3.24.
  * update for new SCOTCH configuration
    - PETSc defines PETScInt as PETScInt64 when --with-64-bit-indices
      is active, so need 64-bit integers as well as 64-bit indexing
      i.e. 64-bit build uses -ptscotch_64i not -lptscotch_64
      (equivalent to former ptscotch-int64)
    - link -lscotch[_64i] after -lptscotch[_64i] since PETSc
      configuration system explicitly tests for SCOTCH_archBuild
    - Build-Depends: libptscotch-64i-dev,
      libpetsc64-{real,complex}3.24-{dev,dbg} Depends: libptscotch-64i-dev
    - switch to hypre-bigint (hypre-64) instead of hypre-mixedint
      (hypre-64m) for consistency.
      Depends: libhypre64-dev instead of libhypre64m-dev
    - note petsc64 must continue to use mumps with 32-bit integers
      even with 64-bit ordering, since mump's INTSIZE64 implementation
      would need 64-bit MPI.

 -- Drew Parsons <dparsons@debian.org>  Thu, 06 Nov 2025 00:40:06 +0100

petsc (3.23.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches
    - build-no-rpath.patch
    - ignore_git_hidden_folder_in_petscclone_py.patch
  * Drop patch drop_bison_MR8267.patch, since the upstream MR has been released
    with 3.23.1
  * In debian/rules, drop images from community pages to avoid privacy breaches

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Thu, 01 May 2025 15:24:47 +0000

petsc (3.23.0+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream release: new ABI 3.23.
  * Drop the following unnecessary patches:
    - soname_extension and soname_extension_MR8026.patch: they were backports of
      upstream MR7989 and MR8026, which have now been inclueded in the 3.23.0
      release.
    - lib-versions.patch: upstream now correctly handles removing shared objects
      with non default suffix.
    - mumps.patch: seems to have been last used in 2012.
    - petscmatmod_split.patch: the dummy module was removed in upstream MR7517.
  * Refresh the following patches:
    - clean-no-double-colon.patch
    - label_tests.patch
    - petscmatmod_split.patch
  * Add patch ignore_git_hidden_folder_in_petscclone_py.patch:
    - the file config/PETSc/options/petscclone.py tries to determine whether
      PETSc is getting installed from a source tarball, or from a clone of its
      own git repository. In Debian's configuration we are downloading a
      tarball, and then storing the files in our own git repository. Doing this
      triggers a
         raise RuntimeError('Your petsc source tree is broken. Use "git status"
                            to check, or remove the entire directory and start
                            all over againd')
      which in our case is a false positive.
      The patch ignores the safety check, since it has not effect on the rest of
      the build.
  * Backport upstream MR 8267 into drop_bison_MR8267.patch
    - Upstream MR 7495 incorrectly added a Build-Depends on bison,
      which was actually not necessary because PTScotch requires bison
      only when building PTScotch itself, not when linking against it.
      MR 7495 made into the release.
    - Upstream MR 8267 reverted the addition of bison to Build-Depends. The
      patch will be dropped as soon as it will be included in a next release.

 -- Drew Parsons <dparsons@debian.org>  Wed, 16 Apr 2025 03:11:06 +0200

petsc (3.22.5+dfsg1-2ubuntu3) resolute; urgency=medium

  * No-change rebuild for libhypre-2.33.0.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Sat, 22 Nov 2025 22:11:24 +0000

petsc (3.22.5+dfsg1-2ubuntu2) questing; urgency=medium

  * No-change rebuild for gfortran 15.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 07 Sep 2025 14:26:42 +0200

petsc (3.22.5+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 16 Apr 2025 11:48:33 +0200

petsc (3.22.5+dfsg1-2) unstable; urgency=medium

  * dev packages: complement Depends: mpi-default-dev with
    ${mpi-dev:Depends} as lower-versioned dependency on specific mpi
    implementation (openmpi or mpich), since petscsys.h checks that
    the current MPI version is compatible with the version petsc was
    compiled against. Will help avoid testing migration confusion when
    MPI packages are updated. Closes: #1102465.

 -- Drew Parsons <dparsons@debian.org>  Tue, 15 Apr 2025 19:07:42 +0200

petsc (3.22.5+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 01 Apr 2025 08:02:11 +0200

petsc (3.22.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * only use nproc to set parallel build if DEB_BUILD_OPTION_PARALLEL
    is not already defined. lintian test debian-rules-calls-nproc.
  * Standards-Version: 4.7.2

 -- Drew Parsons <dparsons@debian.org>  Mon, 31 Mar 2025 13:03:44 +0200

petsc (3.22.4+dfsg1-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 14 Mar 2025 18:04:24 +0100

petsc (3.22.4+dfsg1-2) unstable; urgency=medium

  * debian/tests: set OMPI_MCA_btl_tcp_if_include=lo to avoid openmpi
    whining about unreachable pairing. Needed by riscv64 in particular.
    cf. hypre Bug#1087784.

 -- Drew Parsons <dparsons@debian.org>  Fri, 14 Mar 2025 11:25:18 +0100

petsc (3.22.4+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:32:08 +0100

petsc (3.22.4+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 11 Mar 2025 15:25:50 +0100

petsc (3.22.3+dfsg1-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Mar 2025 10:22:17 +0100

petsc (3.22.3+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Tue, 18 Feb 2025 15:00:59 +0100

petsc (3.22.2+dfsg1-1ubuntu2) plucky; urgency=medium

  * No-change rebuild against libhdf5-310

 -- Miriam España Acebal <miriam.espana@canonical.com>  Sun, 26 Jan 2025 11:05:24 +0000

petsc (3.22.2+dfsg1-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 16 Dec 2024 22:20:21 +0000

petsc (3.22.2+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Drew Parsons <dparsons@debian.org>  Sun, 08 Dec 2024 19:23:27 +0100

petsc (3.22.1+dfsg1-2ubuntu3) plucky; urgency=medium

  * No-change rebuild for mpich_4.2.1-2.

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Wed, 11 Dec 2024 22:01:14 +0000

petsc (3.22.1+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libopenmpi40

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Thu, 05 Dec 2024 12:02:32 +0000

petsc (3.22.1+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 30 Nov 2024 10:55:21 +0100

petsc (3.22.1+dfsg1-2) unstable; urgency=medium

  * upload petsc 3.22 to unstable. Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Fri, 29 Nov 2024 23:25:32 +0100

petsc (3.22.1+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.22.
    - applies debian patch fix_build_tests_MR7789.patch
  * drop debian patch ptscotch_without_bison_MR5787.diff.
    It was applied upstream in PETSc 3.18.
  * replace debian patch soname_extension with upstream MR7989
    and add soname_extension_MR8026.patch (upstream MR8026).
    Uses configuration option --with-library-name-suffix instead of
    --shared-library-extension.

 -- Drew Parsons <dparsons@debian.org>  Tue, 26 Nov 2024 12:35:36 +0100

petsc (3.21.6+dfsg1-3) unstable; urgency=medium

  * OpenMPI 5.0 changed the name and the value of the environment variable to
    allow oversubscription from
       export OMPI_MCA_rmaps_base_oversubscribe=1
    to
       export PRTE_MCA_rmaps_default_mapping_policy=:oversubscribe
    Use the new variable name in debian/rules and debian/tests.
  * OpenMPI 5.0 changed the name of the environment variable to set the SSH
    agent from
       export OMPI_MCA_plm_rsh_agent=/bin/false
    to
       export PRTE_MCA_plm_ssh_agent=/bin/false
    Use the new variable name in debian/rules and debian/tests.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Wed, 20 Nov 2024 06:42:09 +0000

petsc (3.21.6+dfsg1-2ubuntu2) plucky; urgency=medium

  * No-change rebuild for libsuperlu7

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Mon, 04 Nov 2024 15:17:00 +0000

petsc (3.21.6+dfsg1-2ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Nov 2024 15:40:36 +0100

petsc (3.21.6+dfsg1-2) unstable; urgency=medium

  * Add Francesco Ballarin to uploaders
  * Revert setting tight dev package dependency on MPI version.
    Instead, simply list mpi-default-dev as Build-Depends and Depends.
    Bug #828987 in July 2016 (version 3.6.4.dfsg1-3) forced us
    to define a control variable ${MPI:Depends} to automatically
    set up a string like
        libopenmpi-dev (>= 1.10.3), libopenmpi-dev (<< 1.10.4)
    and use it in override_dh_gencontrol.
    However, such a tight dependency control is unnecessary nowadays,
    since OpenMPI 5 guarantees ABI compatibility.
    Closes: #1085405
  * Temporarily drop Build-Depends and Depends on libtrilinos-ml-dev and
    libtrilinos-zoltan-dev while trilinos gets rebuilt against OpenMPI 5.
    This change will be reverted in a future upload.
  * Build-Depends: increment mpi-default-dev lower bound to >= 1.17 to prevent
    this package from being accidentally built against OpenMPI 4.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 20 Oct 2024 10:17:39 +0000

petsc (3.21.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.  Upload for Transition #1082552.

 -- Drew Parsons <dparsons@debian.org>  Sun, 06 Oct 2024 23:54:39 +0200

petsc (3.21.4+dfsg1-1exp2) experimental; urgency=medium

  * debian patch fix_build_tests_MR7789.patch applies upstream MR#7789
    to reenable build tests. Closes: #1079566.

 -- Drew Parsons <dparsons@debian.org>  Fri, 30 Aug 2024 16:22:03 +0200

petsc (3.21.4+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release. New ABI 3.21.
  * add docs/petsc4py to Files-Excluded in debian/copyright
  * debian/copyright: drop systems/Apple/* from excluded files
    (no longer shipped in upstream tarball)
  * disable build-time tests on all arches. See Bug#1079566
    and https://gitlab.com/petsc/petsc/-/issues/1634

 -- Drew Parsons <dparsons@debian.org>  Sat, 24 Aug 2024 18:22:02 +0200

petsc (3.20.6+dfsg1-3ubuntu3) oracular; urgency=medium

  * No-change rebuild against mpi-defaults 1.17

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 21 Sep 2024 14:51:30 +0000

petsc (3.20.6+dfsg1-3ubuntu2) oracular; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Aug 2024 14:34:09 +0200

petsc (3.20.6+dfsg1-3) unstable; urgency=medium

  * build 64-bit petsc against scotch-int64 not scotch-long
    to avoid 32-bit systems getting a mismatch between
    SCOTCH_Num long int and PetscInt long long int.
    The error reference to "long int" is a red herring, it's just int64
  * libpetsc64-complex3.20-dev: fix alternatives link for
    libpetsc64_complex.so (not libpets64c_complex.so)

 -- Drew Parsons <dparsons@debian.org>  Thu, 22 Aug 2024 23:13:53 +0200

petsc (3.20.6+dfsg1-2) unstable; urgency=medium

  * configure 64-bit petsc to build against 64-bit (long) scotch.
    - required for building with gcc-14, for which pointers to standard
      SCOTCH_Num (int) are incompatible with pointers to 64-bit
      PetscInt (declared as long int, not int64).
    - provide lib path /usr/lib/$(DEB_HOST_MULTIARCH)/scotch-long as
      explicit RUNPATH (-rpath) in the petsc64*.so shared libraries to
      ensure the standard libptscotch.so build is not used at runtime.
    - add lintian overrides (custom-library-search-path)
      to acknowledge the intended explicit RUNPATHs
    - Closes: #1075380.

 -- Drew Parsons <dparsons@debian.org>  Wed, 21 Aug 2024 20:09:11 +0200

petsc (3.20.6+dfsg1-1ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 10:01:06 +0200

petsc (3.20.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Build-Depends: pkgconf not pkg-config
  * add Depends: ${fortran:Depends} to -dev (and -dbg) packages
  * drop dh_strip override, so the debug package is not treated as the
    dbgsym symbols package of the main production package. The debug
    build provides additional output that may be useful when designing
    and profiling PETSc applications.
  * specify in -dbg package descriptions that they are built using
    --with-debugging=1
  * add loong64 to the list of arches supporting 64-bit hypre.
    Closes: #1060050.
  * Standards-Version: 4.7.0

 -- Drew Parsons <dparsons@debian.org>  Thu, 16 May 2024 21:51:32 +0200

petsc (3.20.3+dfsg1-1exp1) experimental; urgency=medium

  [ Francesco Ballarin ]
  * New upstream version 3.20.3+dfsg1
  * debian/watch now downloads from https://web.cels.anl.gov
  * Refresh build-no-rpath.patch, clean-no-double-colon.patch,
    lib-versions.patch, ptscotch_without_bison_MR5787.diff, soname_extension,
    sprng-2.patch so that they apply without offset and fuzz.
  * Refresh docs.patch with updated url of the PDF version of the PETSc
    manual.
  * Refresh label_tests.patch, nocleanup.patch, petscmatmod_split.patch which
    failed to apply due to upstream changes.

 -- Drew Parsons <dparsons@debian.org>  Tue, 12 Mar 2024 19:57:49 +0100

petsc (3.19.6+dfsg1-2.2ubuntu3) oracular; urgency=medium

  * Rebuild against new libhypre-2.29.0.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 18 May 2024 08:34:10 +0200

petsc (3.19.6+dfsg1-2.2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:45:22 +0000

petsc (3.19.6+dfsg1-2.2ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Mar 2024 09:20:10 +0100

petsc (3.19.6+dfsg1-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix extraneous X-Time64-Compat declarations.
  * Fix substitution of soname in maintainer scripts.  Closes: #1065217.

 -- Steve Langasek <vorlon@debian.org>  Sun, 03 Mar 2024 21:40:10 +0000

petsc (3.19.6+dfsg1-2.1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 01 Mar 2024 12:16:48 +0100

petsc (3.19.6+dfsg1-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1064332

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 20:22:10 +0000

petsc (3.19.6+dfsg1-2ubuntu1) noble; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Jan 2024 08:53:48 +0100

petsc (3.19.6+dfsg1-2) unstable; urgency=medium

  * Update debian/patches/soname_extension to also add a define PETSC_LIB_EXT,
    and use it when determining the name of the dynamic library to be loaded
    with -library_preload.

 -- Francesco Ballarin <francesco.ballarin@unicatt.it>  Sun, 21 Jan 2024 06:41:21 +0000

petsc (3.19.6+dfsg1-1ubuntu1) noble; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/patches/gcc-13.patch: fix misdetection of required C++
      library with gcc-13.
    - debian/rules: pass -Wl,-z,defs to the linker to guard against future
      misbuilds.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 24 Dec 2023 09:35:58 +0100

petsc (3.19.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.
    - applies debian patches fix_check_error_MR6616.diff and
      pkgdir_not_petscdir_PR6434.diff
  * dh_clean: remove pycache generated in lib/petsc/bin.
    Closes: #1045544.

 -- Drew Parsons <dparsons@debian.org>  Thu, 21 Dec 2023 10:05:19 +0100

petsc (3.19.2+dfsg1-1exp2) experimental; urgency=medium

  * debian patch pkgdir_not_petscdir_PR6434.diff applies upstream
    PR6434 to fix SLEPc build.

 -- Drew Parsons <dparsons@debian.org>  Tue, 04 Jul 2023 12:57:51 +0200

petsc (3.19.2+dfsg1-1exp1) experimental; urgency=medium

  * New upstream release.
    - new ABI 3.19
  * debian patch fix_check_error_MR6616.diff applies upstream MR6616
    to fix problems with new handling of errors when running tests
  * Use language_data.js from libjs-sphinxdoc with docs

 -- Drew Parsons <dparsons@debian.org>  Tue, 20 Jun 2023 16:17:08 +0200

petsc (3.18.6+dfsg1-1ubuntu3) noble; urgency=medium

  * Rebuild against new libcholmod5.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 23 Nov 2023 17:47:49 +0100

petsc (3.18.6+dfsg1-1ubuntu2) noble; urgency=medium

  * Rebuild against new libspqr4.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2023 10:49:22 +0200

petsc (3.18.6+dfsg1-1ubuntu1) mantic; urgency=medium

  * debian/patches/gcc-13.patch: fix misdetection of required C++
    library with gcc-13.
  * debian/rules: pass -Wl,-z,defs to the linker to guard against future
    misbuilds.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 16 Aug 2023 08:42:11 -0700

petsc (3.18.6+dfsg1-1build1) mantic; urgency=medium

  * No-change rebuild against libamd3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 30 Jul 2023 20:56:16 +0000

petsc (3.18.6+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Drew Parsons <dparsons@debian.org>  Sun, 11 Jun 2023 21:55:10 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libpetsc3.25-dev-common`.
